Bug 910519 - (kolf) Review Request: kolf - A miniature golf game
Review Request: kolf - A miniature golf game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10 916638
  Show dependency treegraph
 
Reported: 2013-02-12 14:02 EST by Rex Dieter
Modified: 2013-03-01 09:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-01 09:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:02:06 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kolf.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kolf-4.10.0-1.fc18.src.rpm
Description: A miniature golf game
Fedora Account System Username: rdieter
Comment 1 Jeremy White 2013-02-27 10:39:36 EST
New prospective packager here, diligently trying to review other packages.  I took a look, but was unable to build due to a lack of libkdegames-devel.  Most likely operator error on my part.
Comment 2 Rex Dieter 2013-02-27 10:50:36 EST
Jeremy, libkdegames is currently only available in rawhide,
http://koji.fedoraproject.org/koji/packageinfo?packageID=15455
Comment 3 Jeremy White 2013-02-27 11:00:45 EST
Ah.  I imagined that since the srpm name included fc18, that a review on fc18 was appropriate.  I now see the bug 'Version' field, which I should have used instead of the name.  Thanks for educating me, and sorry for the noise.
Comment 4 T.C. Hollingsworth 2013-02-28 23:02:38 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     libs
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "zlib/libpng". 6 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/910519-kolf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: kolf-libs-4.10.0-1.fc19.x86_64.rpm
          kolf-4.10.0-1.fc19.src.rpm
          kolf-4.10.0-1.fc19.x86_64.rpm
          kolf-debuginfo-4.10.0-1.fc19.x86_64.rpm
kolf-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kolf-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kolf-libs.x86_64: W: no-documentation
kolf.src: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kolf.src:76: W: macro-in-comment %{name}
kolf.src:77: W: macro-in-comment %{name}
kolf.src:80: W: macro-in-comment %{name}
kolf.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kolf.x86_64: W: no-manual-page-for-binary kolf
4 packages and 0 specfiles checked; 0 errors, 9 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint kolf-libs kolf kolf-debuginfo
kolf-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kolf-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libphonon.so.4
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libQtNetwork.so.4
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libQtXml.so.4
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libQtSvg.so.4
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libQtDBus.so.4
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libpthread.so.0
kolf-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkolfprivate.so.4.10.0 /lib64/libgcc_s.so.1
kolf-libs.x86_64: W: no-documentation
kolf.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kolf.x86_64: W: no-manual-page-for-binary kolf
3 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
kolf-libs-4.10.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdegames(x86-64) >= 4.10.00
    libkdegames.so.6()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libphonon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kolf-4.10.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    kolf-libs(x86-64) = 4.10.0-1.fc19
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkolfprivate.so.4()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

kolf-debuginfo-4.10.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

OK

Provides
--------
kolf-libs-4.10.0-1.fc19.x86_64.rpm:
    
    kolf-libs = 4.10.0-1.fc19
    kolf-libs(x86-64) = 4.10.0-1.fc19
    libkolfprivate.so.4()(64bit)

kolf-4.10.0-1.fc19.x86_64.rpm:
    
    kolf = 4.10.0-1.fc19
    kolf(x86-64) = 4.10.0-1.fc19
    mimehandler(application/x-kolf)
    mimehandler(application/x-kourse)

kolf-debuginfo-4.10.0-1.fc19.x86_64.rpm:
    
    kolf-debuginfo = 4.10.0-1.fc19
    kolf-debuginfo(x86-64) = 4.10.0-1.fc19

OK

MD5-sum check
-------------
http://download.kde.org/stable/4.10.0/src/kolf-4.10.0.tar.xz :
  CHECKSUM(SHA256) this package     : 45970fa353c95117ff753dbba62c166d230e40bd996b956fcf58d878c5753e4c
  CHECKSUM(SHA256) upstream package : 45970fa353c95117ff753dbba62c166d230e40bd996b956fcf58d878c5753e4c

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b910519
Comment 5 Kevin Kofler 2013-03-01 07:48:06 EST
New Package SCM Request
=======================
Package Name: kolf
Short Description: A miniature golf game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-03-01 08:06:15 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-03-01 09:57:54 EST
thanks!

Note You need to log in before you can comment on or make changes to this bug.